import { axios } from '@/utils/request'

// 活动主题 根据模板id查询模板主题
export const getThemeByMouldId = (params) => {
  return axios.request({
    url: `static/mould/theme/queryByMouldId/${params.staticMouldId}`,
    method: 'get',
    data: {}
  })
}
// 带分页
export const getThemeList = (params) => {
  const url = `/static/mould/theme/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
export const saveTheme = (params) => {
  return axios({
    url: '/static/mould/theme/save',
    data: params,
    method: 'post'
  })
}
export const delTheme = (params) => {
  return axios({
    url: `/static/mould/theme/delete/${params.id}`,
    method: 'get'
  })
}
// 改变状态接口
export const updateEnableStatus = params => {
  return axios({
    url: `/static/mould/theme/enable/${params.id}/${params.flag}`,
    method: 'get'
  })
}
// 查详细
export const getThemeDetail = (params) => {
  return axios({
    url: `/static/mould/theme/${params.id}`,
    method: 'get'
  })
}
