import { axios } from '@/utils/request'

export const getTplList = (params) => {
  const url = `/static/mould/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
export const saveTpl = (params) => {
  return axios({
    url: '/static/mould/save',
    data: params,
    method: 'post'
  })
}
export const delTpl = (params) => {
  return axios({
    url: `/static/mould/delete/${params.id}`,
    method: 'get'
  })
}
// 改变状态接口
export const updateEnableStatus = params => {
  return axios({
    url: `/static/mould/enable/${params.id}/${params.flag}`,
    method: 'get'
  })
}
// 查详细
export const getTplDetail = (params) => {
  return axios({
    url: `/static/mould/${params.id}`,
    method: 'get'
  })
}
