import { axios } from '@/utils/request'

// 列表查询
export const getNoticeList = (params) => {
  const url = `notice/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新建保存
export const saveItem = (params) => {
  const url = `notice/save`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 删除
export const deleteItem = (params) => {
  const url = `notice/delete/${params.id}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}